Subject: bug#39187: Fwd: "Package refresh is already in progress, please wait..."

From: Jean-Christophe Helary <[email-masked]>
Date: Tue, 11 Feb 2020 14:55:33 +0900

> On Feb 11, 2020, at 0:30, Stefan Kangas <[email-masked]> wrote:
> 
> Jean-Christophe Helary <[email-masked]>
> writes:
> 
>>> This part is now done on the emacs-27 branch.  Please test it and see
>>> that it now works as before.
>> 
>> Can you specify how that is expected to work so that I am sure I make the right test ?
> 
> 1. Run revert-buffer (bound to 'g' by default).
> 
> 2. Disable your internet connection temporarily and then enable it
>   again.
> 
> 3. Run revert-buffer again.
> 
> It should no longer display an error message and instead start a new
> package archive refresh.

Stephan

Excellent. Thank you so much.

When the connection is off, there is a message that the packages can't be downloaded.

Then, when I reconnect to the internet, the refresh works as expected.

Would it be possible to also have that on master ?

Jean-Christophe